%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: Sun clock plugin for GKrellM
Name: gkrellm-sun
Version: 1.0.0
Release: 15%{?dist}
License: GPLv2
Group: Applications/System
URL: http://gkrellsun.sourceforge.net/
Source: http://downloads.sf.net/gkrellsun/gkrellsun-%{version}.tar.gz
Patch0: gkrellsun-1.0.0-fixes.patch
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
A sun clock plugin for GKrellM which can display the sun's setting time, rising
time, path and current location and so on.


%prep
%setup -q -n gkrellsun-%{version}
%patch0 -p1 -b .fixes


%build
make FLAGS='%{optflags} -fPIC $(GTK_INCLUDE)'


%install
rm -rf %{buildroot}
install -D -m 0755 src20/gkrellsun.so \
    %{buildroot}%{gkplugindir}/gkrellsun.so


%files
%doc AUTHORS COPYING README
%{gkplugindir}/gkrellsun.so


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar  9 2012 Tom Callaway <spot@fedoraproject.org> - 1.0.0-12
- fix FTBFS

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May  4 2010 Matthias Saou <http://freshrpms.net/> 1.0.0-9
- Include patch with upstream fixes (hopefully fixes #568893).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-5
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-4
- Update License field... GPLv2 only, will be a problem with GPLv3 gkrellm.

* Fri Jun 22 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-3
- Remove dist, as it might be a while before the next rebuild.
- Switch to using downloads.sf.net source URL.

* Wed Feb 14 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-2
- Tweak defattr.

* Mon Feb 12 2007 Matthias Saou <http://freshrpms.net/> 1.0.0-1
- Initial RPM release as a single plugin.

